#!/bin/sh

set -e

if [ -e .gitmodules ]; then
    echo "The repo contains the file .gitmodules \n"
    echo "You probably import the upstream tarball instead of a manually generated tarball \n"
    echo "Please check debain/README.source and remove the file .gitmodules\n"
    exit 1
fi

if [ $(find empire/server/csharp/Covenant/Data/ReferenceSourceLibraries/ | wc -l) -lt 100 ]; then
    echo "empire/server/csharp/Covenant/Data/ReferenceSourceLibraries/ contains too few files"
    echo "You probably import the upstream tarball instead of a manually generated tarball \n"
    echo "Please check debain/README.source \n"
    exit 1
fi
